Subject: Re: gcc version 3.4.4 (cygming special, gdc 0.12, using dmd 0.125) Internal compiler error
From: "Tatsuro Matsuoka" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 20 Apr 2008 09:48:00 +0900
List-Id: <cygwin.cygwin.com>

Hello

I'm a mere one of the user and also waiting dw2-ed gcc 4.x for cygwin.
I have build gcc-4.3.0 and test for build gnuplot and octave.

For gnuplot it worked fine and performance of a built binary is
pretty good.
However, for octave the gcc-4.3.0 cannot be use for built.

> Also, part of the delay in the switch is the desire to switch from SJLJ
> to Dwarf-2 exception handling as default, which has a whole slew of
> compatibility questions.  PLEASE search the archives though, as this has
> been discussed extensively.

Hello Brian
Perhaps you know that I'm using dw2-ed gcc-3.4.4 for octave building.
At March in this year, I have re-built almost all external libraries
by "standard" gcc of cygwin
distribution.  The cln and gniac have beem still built by my dw2-ed
gcc because they uses EH.

What I would like to say dw2-ed gcc build with libraries by standard
gcc is no problem for
almost case. However problem remains for software that deals with EH.
These are of course natural reults as expected.
However, natural results are not always obtained in highly
sophisticated system like cygwin.
If my report is helpful to cygwin staff, it would be grateful.

BTW:
As far as I know, supproting win32drwaback api in dw2 is one of the
problem for gcc to be dw2-ed.
In my case, windows package in octave-forge cannot be built perhaps I
am using dw2-ed gcc.
I hope this problem is solved in the near future and the fast and
stable octave can be built
with the gcc by distributed by cygwin staff.

Regards

Tatsuro

--- Brian Dessent <[email-masked]> wrote:

> Cory Cohen wrote:
>
> > How's the 4.x port coming?  Is there somewhere that I can download the
> > gcc patches for cygwin and see how complicated it is?  I assume that
> > there's no hope of the 4.x branch compiling on cygwin without major surgery?
>
> No, it builds and works fine, that's never been a problem.  It's just
> that some things won't be supported or work fully.  Whether those things
> matter to you or are irrelevant depends on what you're doing and which
> languages you're doing it in.
>
> Also, part of the delay in the switch is the desire to switch from SJLJ
> to Dwarf-2 exception handling as default, which has a whole slew of
> compatibility questions.  PLEASE search the archives though, as this has
> been discussed extensively.
>
> Brian
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/